Subject: Re: [PATCH 01/11] fs_enet: Add support for MPC512x to fs_enet driver

From: Scott Wood <[email-masked]>
Date: Wed, 20 Jan 2010 11:02:42 -0600

Anatolij Gustschin wrote:
> Scott Wood <[email-masked]> wrote:
>> You can put a data pointer in the of_platform match struct, instead of 
>> re-checking the compatible.
> 
> .data pointer in 'fs_enet_mdio_fec_match' is already used for
> mpc5xxx_get_bus_frequency(). Setting .data to some sort of FEC ID in
> match struct for "fsl,pq1-fec-mdio" would be confusing to.

You could point .data to a struct if there are multiple things.

-Scott